<?php

/**
 * Implements hook_views_data().
 */
function wn_events_views_data() {
  //Order List Page Statistics - Views Header Area
  // 订单列表页面统计--视图页眉区域
  $data['views']['wn_events_statistics_area'] = [
    'title' => 'Will Nice Events Statistics',
    'help' => 'Provides a events statistics area.',
    'area' => [
      'id' => 'wn_events_statistics_area',
    ],
  ];
  // Certificate Number - Views Filter
  // 凭证编号--视图过滤器
  $data['comment']['wn_events_certificate_number'] = [
    'title' => t('Certificate Number'),
    'filter' => [
      'title' => t('Events Certificate Number - wn_events Filter'),
      'field' => 'field_wn_events_comment',
      'id' => 'wn_events_certificate_number',
    ],
  ];
  // Jump link to the verification operation--Views Field
  // 前往核销操作的跳转链接--视图字段
  $data['comment']['wn_events_performance_operation'] = [
    'title' => t('Events Performance Operation'),
    'field' => [
      'title' => t('Events Performance Operation'),
      'id' => 'wn_events_performance_operation',
    ],
  ];
  return $data;
}
